Core - Task # 52088

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-09-17 Assigned To:

Updated: 2013-09-25 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: medium

Sprint Focus:

Subject: Remove GFX im_imvMaskState and im_negate_mask settings

Description

Associated revisions

Revision d01c3ced - 2013-09-25 12:50 - Christian Kuhn

[TASK] Remove GFX im_imvMaskState and im_negate_mask settings

There are two very weird settings is GFX array that previously

decided on how "masks" are applied to images if combining

multiple images. GFX/im_negate_mask and GFX/im_imvMaskState are
also manipulated during boostrap and depend on each other.

Fiddling with those settings in ImageMagick 6 and GraphicsMagick
with its supported versions, it turns out that they are obsolete
and can be removed completly. The patch does this.

Change-Id: 1c24c877287382f9e718974a0df3577dad2eeaac9
Resolves: #52088

Releases: 6.2

Reviewed-on: https://review.typo3.org/23880

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-09-17 21:23 - Christian Kuhn
- Tracker changed from Bug to Task

#2 - 2013-09-17 21:32 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23880

#3 - 2013-09-17 21:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23880

#4 - 2013-09-23 21:34 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23880

#5 - 2013-09-25 12:27 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23880

#6 - 2013-09-25 13:30 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:d01c3cedal3a9ee7a5bce4b28db798ac3d8ef6e8.
